# Create a user report

Create a user report

Endpoint: POST /reports
Version: 1.114.0
Security: oauth-client-credentials

## Header parameters:

  - `upvest-client-id` (string, required)
    Tenant Client ID
    Example: "363f3305-7ab0-4e82-a158-f9d382ad08b6"

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750
    Example: "Bearer c2VjcmV0Cg=="

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)
    Enum: "1"

## Request fields (application/json):

  - `body` (object) — one of:
    - Report - Order ex-ante cost - Create - Request - Regular:
      - `type` (string, required)
        The type of report must be “ORDER_EX_ANTE_COST”.
      - `order` (any, required) — one of:
        - Ex-Ante cost user order:
          - `user_id` (string, required)
            The user's ID.
          - `instrument_id` (string, required)
            International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
          - `instrument_id_type` (string, required)
            The type of the ID used in the request.
* ISIN -
            Enum: "ISIN"
          - `account_id` (string, required)
            Account ID owning the order.
          - `currency` (string, required)
            Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
            Enum: "EUR", "GBP"
          - `order_type` (string, required)
            Order type.
* MARKET - 
* LIMIT - 
* STOP -
            Enum: "MARKET", "LIMIT", "STOP"
          - `side` (string, required)
            Side of the order.
* BUY - 
* SELL -
            Enum: "BUY", "SELL"
          - `cash_amount` (string)
            Cash amount for a nominal order.
          - `quantity` (string)
            Quantity of securities for the order.
          - `limit_price` (string)
            The limit price for orders of the type 'limit'.
          - `stop_price` (string)
            The stop price for orders of the type 'stop'.
        - Ex-Ante Cost business order:
          - `business_id` (string, required)
            The business's ID
          - `instrument_id` (string, required)
            International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
          - `instrument_id_type` (string, required)
            The type of the ID used in the request.
* ISIN -
            Enum: same as `instrument_id_type` in "Ex-Ante cost user order" (1 values)
          - `account_id` (string, required)
            Account ID owning the order.
          - `currency` (string, required)
            Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
            Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
          - `order_type` (string, required)
            Order type.
* MARKET - 
* LIMIT - 
* STOP -
            Enum: same as `order_type` in "Ex-Ante cost user order" (3 values)
          - `side` (string, required)
            Side of the order.
* BUY - 
* SELL -
            Enum: same as `side` in "Ex-Ante cost user order" (2 values)
          - `cash_amount` (string)
            Cash amount for a nominal order.
          - `quantity` (string)
            Quantity of securities for the order.
          - `limit_price` (string)
            The limit price for orders of the type 'limit'.
          - `stop_price` (string)
            The stop price for orders of the type 'stop'.
      - `fees` (array) — one of:
        Client fees.
        - Absolute Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL - 
* ANNUAL_AUM_BASED_FEE -
            Enum: "TRANSACTION_FEE_BUY", "TRANSACTION_FEE_SELL", "ANNUAL_AUM_BASED_FEE"
          - `value_type` (string, required)
            The type of fee value must be “ABSOLUTE”.
          - `cash_amount` (string, required)
          - `currency` (string, required)
            Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
            Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
        - Relative Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL - 
* ANNUAL_AUM_BASED_FEE -
            Enum: same as `type` in "Absolute Fee" (3 values)
          - `value_type` (string, required)
            The type of fee value must be “RELATIVE”.
          - `bps` (string, required)
            A fee is charged based on transaction amount and is represented in basis points.
        - Transaction Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL -
            Enum: "TRANSACTION_FEE_BUY", "TRANSACTION_FEE_SELL"
          - `transaction_fee_model_id` (string, required)
            The ID of the transaction fee model.
      - `inducements` (array)
        Client inducements.
      - `inducements.value_type` (string, required)
        The type of inducement value must be “ABSOLUTE”.
      - `inducements.cash_amount` (string, required)
      - `inducements.currency` (string, required)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
    - Report - Order ex-ante cost - Create - Request - Savings Plan:
      - `type` (string, required)
        The type of report must be “ORDER_EX_ANTE_COST_SAVINGS_PLAN”. Savings plan ex-ante reports are only supported for individual users, not for business entities.
      - `order` (object, required)
        Savings Plan Order details.
      - `order.instrument_id` (string, required)
        International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
      - `order.instrument_id_type` (string, required)
        The type of the ID used in the request.
* ISIN -
        Enum: same as `instrument_id_type` in "Ex-Ante cost user order" (1 values)
      - `order.account_id` (string, required)
        Account ID owning the order.
      - `order.user_id` (string, required)
        The ID of the user.
      - `order.cash_amount` (string, required)
        Cash amount for a nominal order.
      - `order.currency` (string, required)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `order.order_type` (string, required)
        Order type.
* MARKET - 
* LIMIT - 
* STOP -
        Enum: same as `order_type` in "Ex-Ante cost user order" (3 values)
      - `order.side` (string, required)
        Side of the order.
* BUY - 
* SELL -
        Enum: same as `side` in "Ex-Ante cost user order" (2 values)
      - `order.period` (string, required)
        Enum: "WEEK", "MONTH", "YEAR"
      - `order.interval` (string, required)
      - `fees` (array) — one of:
        Client fees.
        - Absolute Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL - 
* ANNUAL_AUM_BASED_FEE -
            Enum: same as `type` in "Absolute Fee" (3 values)
          - `value_type` (string, required)
            The type of fee value must be “ABSOLUTE”.
          - `cash_amount` (string, required)
          - `currency` (string, required)
            Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
            Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
        - Relative Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL - 
* ANNUAL_AUM_BASED_FEE -
            Enum: same as `type` in "Absolute Fee" (3 values)
          - `value_type` (string, required)
            The type of fee value must be “RELATIVE”.
          - `bps` (string, required)
            A fee is charged based on transaction amount and is represented in basis points.
        - Transaction Fee:
          - `type` (string, required)
            Fee type
* TRANSACTION_FEE_BUY - 
* TRANSACTION_FEE_SELL -
            Enum: same as `type` in "Transaction Fee" (2 values)
          - `transaction_fee_model_id` (string, required)
            The ID of the transaction fee model.
      - `inducements` (array)
        Client inducements.
      - `inducements.value_type` (string, required)
        The type of inducement value must be “ABSOLUTE”.
      - `inducements.cash_amount` (string, required)
      - `inducements.currency` (string, required)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - User Report - Order ex-ante cost:
      - `id` (string, required)
        Report unique identifier.
      - `user_id` (string, required)
        User unique identifier.
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `type` (string, required)
        The type of report must be “ORDER_EX_ANTE_COST” or “ORDER_EX_ANTE_COST_SAVINGS_PLAN”.
        Enum: "ORDER_EX_ANTE_COST", "ORDER_EX_ANTE_COST_SAVINGS_PLAN"
      - `substituted_report_id` (any, required)
      - `data` (object)
        Contents of the order-ex-ante cost report for a user.
      - `data.user` (object, required)
        User details.
      - `data.user.first_name` (string)
        First name of the user.
      - `data.user.last_name` (string)
        Last name of the user.
      - `data.user.salutation` (string)
        Salutation of the user used in reports and statements.
* (empty string) - 
* SALUTATION_MALE - 
* SALUTATION_FEMALE - 
* SALUTATION_FEMALE_MARRIED - 
* SALUTATION_DIVERSE -
        Enum: "", "SALUTATION_MALE", "SALUTATION_FEMALE", "SALUTATION_FEMALE_MARRIED", "SALUTATION_DIVERSE"
      - `data.user.title` (string)
        Addressed user's title is used in reports and statements.
* (empty string) - 
* DR - Doctor
* PROF - Professor
* PROF_DR - 
* DIPL_ING - Graduate engineer (Diplom-Ingenieur)
* MAGISTER -
        Enum: "", "DR", "PROF", "PROF_DR", "DIPL_ING", "MAGISTER"
      - `data.user.address` (object)
        User residential address.
      - `data.user.address.address_line1` (string)
        First line of the address.
      - `data.user.address.address_line2` (string)
        Second line of the address.
      - `data.user.address.postcode` (string)
        Postal code (postcode, PIN or ZIP code)
      - `data.user.address.country` (string)
        Country code. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `data.user.address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `data.user.address.city` (string)
      - `data.holding_period` (object)
        Holding period.
      - `data.holding_period.unit` (string)
        Unit of time. 
* YEAR -
        Enum: "YEAR"
      - `data.holding_period.quantity` (integer)
        Quantity of time units.
      - `data.instrument` (object)
        Instrument details.
      - `data.instrument.isin` (string)
        International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
      - `data.instrument.short_name` (string)
        Instrument short name.
      - `data.venue` (object)
        Venue details.
      - `data.venue.name` (string)
        Venue name.
      - `data.account` (object)
        Account details.
      - `data.account.id` (string)
        Account unique identifier.
      - `data.account.account_number` (integer)
        The serial account number of the account in the account group.
      - `data.account_group` (object)
        Account group details.
      - `data.account_group.id` (string)
        Account group unique identifier.
      - `data.account_group.securities_account_number` (string)
        Securities account number.
      - `data.order` (object)
        Order details.
      - `data.order.user_id` (string)
        The ID of the user.
      - `data.order.account_id` (string)
        The ID of the account that owns the order.
      - `data.order.cash_amount` (string)
        Cash amount for a nominal order.
      - `data.order.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.order.side` (string)
        Side of the order.
* BUY - 
* SELL -
        Enum: same as `side` in "Ex-Ante cost user order" (2 values)
      - `data.order.instrument_id` (string)
        International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
      - `data.order.instrument_id_type` (string)
        The type of the ID used in the request.
* ISIN -
        Enum: same as `instrument_id_type` in "Ex-Ante cost user order" (1 values)
      - `data.order.order_type` (string)
        Order type.
* MARKET - 
* LIMIT - 
* STOP -
        Enum: same as `order_type` in "Ex-Ante cost user order" (3 values)
      - `data.order.quantity` (string)
        Quantity of securities for the order.
      - `data.order.limit_price` (string)
        The limit price for orders of the type 'limit'.
      - `data.order.stop_price` (string)
        The stop price for orders of the type 'stop'.
      - `data.order.price` (string)
        The estimated price for the order. In case of LIMIT or STOP order provided LIMIT/STOP price will be used.
      - `data.return_impact` (object)
        Return impact.
      - `data.return_impact.year_one` (object)
      - `data.return_impact.year_one.cash_amount` (string)
      - `data.return_impact.year_one.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_one.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.return_impact.year_two` (object)
      - `data.return_impact.year_two.cash_amount` (string)
      - `data.return_impact.year_two.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_two.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.return_impact.year_three` (object)
      - `data.return_impact.year_three.cash_amount` (string)
      - `data.return_impact.year_three.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_three.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost` (object)
        Aggregated totals of product costs, service costs and third party payments.
      - `data.total_cost.product` (object)
      - `data.total_cost.product.cash_amount` (string)
      - `data.total_cost.product.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.product.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.service` (object)
      - `data.total_cost.service.cash_amount` (string)
      - `data.total_cost.service.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.service.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.third_party` (object)
      - `data.total_cost.third_party.cash_amount` (string)
      - `data.total_cost.third_party.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.third_party.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.total` (object)
      - `data.total_cost.total.cash_amount` (string)
      - `data.total_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost` (object)
        All costs and associated charges related to the financial instrument.
      - `data.product_cost.one_off` (object)
      - `data.product_cost.one_off.cash_amount` (string)
      - `data.product_cost.one_off.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.one_off.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.ongoing` (object)
      - `data.product_cost.ongoing.cash_amount` (string)
      - `data.product_cost.ongoing.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.ongoing.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.transaction` (object)
      - `data.product_cost.transaction.cash_amount` (string)
      - `data.product_cost.transaction.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.transaction.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.incidental` (object)
      - `data.product_cost.incidental.cash_amount` (string)
      - `data.product_cost.incidental.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.incidental.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.total` (object)
      - `data.product_cost.total.cash_amount` (string)
      - `data.product_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost` (object)
        All costs and associated charges related to the investment service(s) and/or ancillary services.
      - `data.service_cost.one_off` (object)
      - `data.service_cost.one_off.cash_amount` (string)
      - `data.service_cost.one_off.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.one_off.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.ongoing` (object)
      - `data.service_cost.ongoing.cash_amount` (string)
      - `data.service_cost.ongoing.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.ongoing.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.transaction` (object)
      - `data.service_cost.transaction.cash_amount` (string)
      - `data.service_cost.transaction.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.transaction.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.ancillary` (object)
      - `data.service_cost.ancillary.cash_amount` (string)
      - `data.service_cost.ancillary.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.ancillary.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.incidental` (object)
      - `data.service_cost.incidental.cash_amount` (string)
      - `data.service_cost.incidental.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.incidental.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.total` (object)
      - `data.service_cost.total.cash_amount` (string)
      - `data.service_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments` (object)
        Third-party payments associated with the investment service.
      - `data.third_party_payments.total` (object)
      - `data.third_party_payments.total.cash_amount` (string)
      - `data.third_party_payments.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments.received_by_client` (object)
      - `data.third_party_payments.received_by_client.cash_amount` (string)
      - `data.third_party_payments.received_by_client.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.received_by_client.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments.received_by_upvest` (object)
      - `data.third_party_payments.received_by_upvest.cash_amount` (string)
      - `data.third_party_payments.received_by_upvest.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.received_by_upvest.as_percentage` (string)
        The cost value represented as a percentage.
    - Business Report - Order ex-ante cost:
      - `id` (string, required)
        Report unique identifier.
      - `business_id` (string, required)
        Unique identifier for the business.
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `type` (string, required)
        The type of report must be “ORDER_EX_ANTE_COST”. Savings plan ex-ante reports are not supported for business entities.
        Enum: "ORDER_EX_ANTE_COST"
      - `substituted_report_id` (any, required)
      - `data` (object)
        Contents of the order ex-ante cost report for a business.
      - `data.business` (object, required)
        Business details.
      - `data.business.company_name` (string)
        Name of the company.
      - `data.business.address` (object)
        Address. Must not be a P.O. box or c/o address.
      - `data.business.address.address_line1` (string, required)
        First address line of the address.
      - `data.business.address.postcode` (string, required)
        Postal code (postcode, PIN or ZIP code)
      - `data.business.address.country` (string, required)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"
      - `data.business.address.city` (string, required)
      - `data.business.address.address_line2` (string)
        Second address line of the address.
      - `data.business.address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `data.holding_period` (object)
        Holding period.
      - `data.holding_period.unit` (string)
        Unit of time. 
* YEAR -
        Enum: same as `data.holding_period.unit` in "User Report - Order ex-ante cost" (1 values)
      - `data.holding_period.quantity` (integer)
        Quantity of time units.
      - `data.instrument` (object)
        Instrument details.
      - `data.instrument.isin` (string)
        International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
      - `data.instrument.short_name` (string)
        Instrument short name.
      - `data.venue` (object)
        Venue details.
      - `data.venue.name` (string)
        Venue name.
      - `data.account` (object)
        Account details.
      - `data.account.id` (string)
        Account unique identifier.
      - `data.account.account_number` (integer)
        The serial account number of the account in the account group.
      - `data.account_group` (object)
        Account group details.
      - `data.account_group.id` (string)
        Account group unique identifier.
      - `data.account_group.securities_account_number` (string)
        Securities account number.
      - `data.order` (object)
        Order details.
      - `data.order.business_id` (string)
        The ID of the business.
      - `data.order.account_id` (string)
        The ID of the account that owns the order.
      - `data.order.cash_amount` (string)
        Cash amount for a nominal order.
      - `data.order.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.order.side` (string)
        Side of the order.
* BUY - 
* SELL -
        Enum: same as `side` in "Ex-Ante cost user order" (2 values)
      - `data.order.instrument_id` (string)
        International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).
      - `data.order.instrument_id_type` (string)
        The type of the ID used in the request.
* ISIN -
        Enum: same as `instrument_id_type` in "Ex-Ante cost user order" (1 values)
      - `data.order.order_type` (string)
        Order type.
* MARKET - 
* LIMIT - 
* STOP -
        Enum: same as `order_type` in "Ex-Ante cost user order" (3 values)
      - `data.order.quantity` (string)
        Quantity of securities for the order.
      - `data.order.limit_price` (string)
        The limit price for orders of the type 'limit'.
      - `data.order.stop_price` (string)
        The stop price for orders of the type STOP.
      - `data.order.price` (string)
        The estimated price for the order. In case of LIMIT or STOP order provided LIMIT/STOP price will be used.
      - `data.return_impact` (object)
        Return impact.
      - `data.return_impact.year_one` (object)
      - `data.return_impact.year_one.cash_amount` (string)
      - `data.return_impact.year_one.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_one.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.return_impact.year_two` (object)
      - `data.return_impact.year_two.cash_amount` (string)
      - `data.return_impact.year_two.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_two.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.return_impact.year_three` (object)
      - `data.return_impact.year_three.cash_amount` (string)
      - `data.return_impact.year_three.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.return_impact.year_three.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost` (object)
        Aggregated totals of product costs, service costs and third party payments.
      - `data.total_cost.product` (object)
      - `data.total_cost.product.cash_amount` (string)
      - `data.total_cost.product.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.product.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.service` (object)
      - `data.total_cost.service.cash_amount` (string)
      - `data.total_cost.service.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.service.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.third_party` (object)
      - `data.total_cost.third_party.cash_amount` (string)
      - `data.total_cost.third_party.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.third_party.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.total_cost.total` (object)
      - `data.total_cost.total.cash_amount` (string)
      - `data.total_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.total_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost` (object)
        All costs and associated charges related to the financial instrument.
      - `data.product_cost.one_off` (object)
      - `data.product_cost.one_off.cash_amount` (string)
      - `data.product_cost.one_off.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.one_off.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.ongoing` (object)
      - `data.product_cost.ongoing.cash_amount` (string)
      - `data.product_cost.ongoing.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.ongoing.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.transaction` (object)
      - `data.product_cost.transaction.cash_amount` (string)
      - `data.product_cost.transaction.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.transaction.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.incidental` (object)
      - `data.product_cost.incidental.cash_amount` (string)
      - `data.product_cost.incidental.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.incidental.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.product_cost.total` (object)
      - `data.product_cost.total.cash_amount` (string)
      - `data.product_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.product_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost` (object)
        All costs and associated charges related to the investment service(s) and/or ancillary services.
      - `data.service_cost.one_off` (object)
      - `data.service_cost.one_off.cash_amount` (string)
      - `data.service_cost.one_off.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.one_off.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.ongoing` (object)
      - `data.service_cost.ongoing.cash_amount` (string)
      - `data.service_cost.ongoing.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.ongoing.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.transaction` (object)
      - `data.service_cost.transaction.cash_amount` (string)
      - `data.service_cost.transaction.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.transaction.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.ancillary` (object)
      - `data.service_cost.ancillary.cash_amount` (string)
      - `data.service_cost.ancillary.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.ancillary.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.incidental` (object)
      - `data.service_cost.incidental.cash_amount` (string)
      - `data.service_cost.incidental.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.incidental.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.service_cost.total` (object)
      - `data.service_cost.total.cash_amount` (string)
      - `data.service_cost.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.service_cost.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments` (object)
        Third party payments associated with the investment service.
      - `data.third_party_payments.total` (object)
      - `data.third_party_payments.total.cash_amount` (string)
      - `data.third_party_payments.total.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.total.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments.received_by_client` (object)
      - `data.third_party_payments.received_by_client.cash_amount` (string)
      - `data.third_party_payments.received_by_client.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.received_by_client.as_percentage` (string)
        The cost value represented as a percentage.
      - `data.third_party_payments.received_by_upvest` (object)
      - `data.third_party_payments.received_by_upvest.cash_amount` (string)
      - `data.third_party_payments.received_by_upvest.currency` (string)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Ex-Ante cost user order" (2 values)
      - `data.third_party_payments.received_by_upvest.as_percentage` (string)
        The cost value represented as a percentage.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.


